module EcconnectRails
  module ControllerDefaults

    protected
      def defaults options
        raise ArgumentError, 'Class method :defaults expects a hash of options.' unless options.is_a? Hash

        options.symbolize_keys!

        class_attribute :resource_class, :instance_writer => false unless self.respond_to? :resource_class
        self.resource_class = options[:resource_class] if options.key?(:resource_class)
      end
  end
end